<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: nga_if.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_28f3dfb5bb50e924b60ae624ec7151cf.html">nga_if</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">nga_if/nga_if.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:ad0097941595a2ca34c36d82feb742ad0"><td class="memItemLeft" align="right" valign="top">program&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0">nga_if</a></td></tr>
<tr class="separator:ad0097941595a2ca34c36d82feb742ad0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac80e8db8d781535b6016fedee8395f11"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="nga__if_2nga__if_8f90.html#ac80e8db8d781535b6016fedee8395f11">simulation_run</a></td></tr>
<tr class="separator:ac80e8db8d781535b6016fedee8395f11"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="ad0097941595a2ca34c36d82feb742ad0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0097941595a2ca34c36d82feb742ad0">&#9670;&nbsp;</a></span>nga_if()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">program nga_if </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527">nga_if_func::if_init()</a>, <a class="el" href="namespacenga__if__func.html#a800b923d97481ff39511cb945c29dd3f">nga_if_func::if_stop()</a>, and <a class="el" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d">simulation_run()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="nga__if_2nga__if_8f90_ad0097941595a2ca34c36d82feb742ad0_cgraph.png" border="0" usemap="#nga__if_2nga__if_8f90_ad0097941595a2ca34c36d82feb742ad0_cgraph" alt=""/></div>
<map name="nga__if_2nga__if_8f90_ad0097941595a2ca34c36d82feb742ad0_cgraph" id="nga__if_2nga__if_8f90_ad0097941595a2ca34c36d82feb742ad0_cgraph">
<area shape="rect" id="node2" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="115,709,243,736"/>
<area shape="rect" id="node34" href="namespacenga__if__func.html#a800b923d97481ff39511cb945c29dd3f" title="nga_if_func::if_stop" alt="" coords="111,1463,247,1489"/>
<area shape="rect" id="node38" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="125,1793,232,1820"/>
<area shape="rect" id="node3" href="namespacenga__if__func.html#acfc411708492ec063ff80d6af8d11b86" title="nga_if_func::if_init\l_step1" alt="" coords="314,175,442,217"/>
<area shape="rect" id="node12" href="namespacenga__if__func.html#a1bc3b5c9d0ae83a284efc95b0eee2da2" title="nga_if_func::if_molecular\l_property_init" alt="" coords="295,607,461,649"/>
<area shape="rect" id="node13" href="namespaceinit__specific__flow.html#aadb56c2e95d040a81f2bafb0daa82c3b" title="init_specific_flow\l::init_specific_flow_field" alt="" coords="297,673,459,714"/>
<area shape="rect" id="node24" href="arts_2arts__hooks_8f90.html#a7a8a483be87e88a7f2552b124d938f69" title="initial_hook" alt="" coords="335,739,421,765"/>
<area shape="rect" id="node25" href="namespacevdf__func.html#affc03c50bf64e29ce78e9e72f0d7fd67" title="vdf_func::vdf_field_init" alt="" coords="301,1193,455,1220"/>
<area shape="rect" id="node4" href="namespacevdf__func.html#a87bba7eeac25df4457b0c0c6e56172a8" title="vdf_func::vdf_register_data" alt="" coords="512,5,692,32"/>
<area shape="rect" id="node5" href="arts_2arts__hooks_8f90.html#acb86792a9a23b981d4a7d29a4a9a9b5f" title="register_hook" alt="" coords="552,56,652,83"/>
<area shape="rect" id="node6" href="namespacesd__func.html#a17b9fb26fff9af2ed6407e9ae41b3343" title="sd_func::sd_init_step2" alt="" coords="525,107,679,133"/>
<area shape="rect" id="node7" href="namespacevdf__func.html#a100f0a9b32fa4f78bf440c3aa925a903" title="vdf_func::vdf_init" alt="" coords="541,157,663,184"/>
<area shape="rect" id="node8" href="namespacesd__io.html#a7fef28bcbeeb29fff88ab5cd89465393" title="sd_io::read_sd_data" alt="" coords="533,208,671,235"/>
<area shape="rect" id="node10" href="namespacesd__func.html#ab5a5b6d129f993c35a04a4f5486129cc" title="sd_func::sd_init_step3" alt="" coords="525,259,679,285"/>
<area shape="rect" id="node11" href="namespacesd__io.html#a2b47bb0e9595c2e5ddf9ea03eaba9d34" title="sd_io::interp_from_file" alt="" coords="527,309,677,336"/>
<area shape="rect" id="node9" href="namespaceparser.html#a37469d8ebb80992941bd709e551b98ef" title="parser::check_param" alt="" coords="743,604,887,631"/>
<area shape="rect" id="node14" href="namespaceparser.html#ac20fdcae545c813c3a3e9ffff7a1135c" title="parser::parser_readchar" alt="" coords="523,360,681,387"/>
<area shape="rect" id="node15" href="namespaceinit__channel.html#ad03bd95f10ce6ad8632fb65cac6618ed" title="init_channel::init\l_channel_field" alt="" coords="544,411,660,453"/>
<area shape="rect" id="node16" href="namespaceinit__pipe.html#a6033832675fab814e9999b7d3248383e" title="init_pipe::init_pipe\l_field" alt="" coords="539,477,665,518"/>
<area shape="rect" id="node17" href="namespaceinit__turb__box.html#a7f176c820b41635860c7dadea696655d" title="init_turb_box::init\l_turb_box_field" alt="" coords="541,542,663,583"/>
<area shape="rect" id="node18" href="namespaceinit__taylorgreenvortex.html#add0d9819377f94ee16b5a289478f2ca7" title="init_taylorgreenvortex\l::init_taylorgreenvortex_field" alt="" coords="509,607,695,649"/>
<area shape="rect" id="node19" href="namespaceinit__shocktube.html#a51961d2d10360011ba8e0066a8930b25" title="init_shocktube::init\l_shocktube_field" alt="" coords="537,673,667,714"/>
<area shape="rect" id="node20" href="namespaceinit__explosion.html#a2e4394ac51ef1c996ce0e43d5d2bec97" title="init_explosion::init\l_explosion_field" alt="" coords="539,738,665,779"/>
<area shape="rect" id="node21" href="namespaceinit__density__pulse.html#ad85907a91d2d2c3e665dc8facc5f84c7" title="init_density_pulse\l::init_density_pulse_field" alt="" coords="519,803,685,845"/>
<area shape="rect" id="node22" href="namespaceinit__conv__scalar.html#a83bd75d93fd53ce91f6a97983ab2b0f7" title="init_conv_scalar::init\l_conv_scalar_field" alt="" coords="531,869,673,910"/>
<area shape="rect" id="node23" href="namespaceinit__fm__1d__m.html#aa1b53ec178c13a173b772b0beaf1d676" title="init_fm_1d_m::init\l_fm_1d" alt="" coords="539,934,665,975"/>
<area shape="rect" id="node26" href="namespacevdf__func.html#ae239656d0b7b319f9d4af3d9c93d320a" title="vdf_func::vdf_reset\l_field_vars" alt="" coords="535,1051,669,1093"/>
<area shape="rect" id="node27" href="namespacesd__func.html#a9d3140f0ab1d4ceee01c16e11a692784" title="sd_func::sd_field_init" alt="" coords="529,1117,675,1144"/>
<area shape="rect" id="node28" href="tools_2sd2plot_2sd2plot_8f90.html#ae6f662261894a85f67c12ba16d05f7d1" title="interpolate_ui" alt="" coords="553,1168,651,1195"/>
<area shape="rect" id="node29" href="inflow__generation_8f90.html#a267f8309ac668558a889f53612d2f56e" title="inflow_generation_init" alt="" coords="529,1219,675,1245"/>
<area shape="rect" id="node30" href="inflow__generation__c_8f90.html#aa9c136a6ce6f10966d3f76f32af36a30" title="inflow_generation_init_c" alt="" coords="521,1269,683,1296"/>
<area shape="rect" id="node31" href="inflow__file_8f90.html#ab5fbe0fbb90d0e83e06986315501122c" title="inflow_file_init" alt="" coords="550,1320,654,1347"/>
<area shape="rect" id="node32" href="inflow__file__c_8f90.html#ac84737a975356e26ddf1325a57db8515" title="inflow_file_init_c" alt="" coords="543,1371,661,1397"/>
<area shape="rect" id="node33" href="namespaceinflow__profile.html#a5134ac607d29c5e6f2b51e46f73c306f" title="inflow_profile::inflow\l_profile_init" alt="" coords="532,1422,672,1463"/>
<area shape="rect" id="node35" href="arts_2arts__hooks_8f90.html#a98ed45d4750d825f285d80247744e8f9" title="final_hook" alt="" coords="337,1437,419,1464"/>
<area shape="rect" id="node36" href="namespacevdf__func.html#a711f7037c8115dda591b9c0c12bd267e" title="vdf_func::vdf_finalize" alt="" coords="305,1488,451,1515"/>
<area shape="rect" id="node37" href="namespacesd__io.html#a5668f84b92303e27e3bcc79e28c1b41b" title="sd_io::sd_finalize" alt="" coords="541,1488,663,1515"/>
<area shape="rect" id="node39" href="namespacearts__simulation.html#afcf8f58060c1b3741986502e3a75f91d" title="arts_simulation::arts\l_advance_iter" alt="" coords="308,1689,448,1730"/>
<area shape="rect" id="node47" href="namespacearts__simulation.html#aa4b77f3e45b825c105dacb715aaf1f4f" title="arts_simulation::arts\l_done_iter" alt="" coords="308,1754,448,1795"/>
<area shape="rect" id="node48" href="namespacearts__simulation.html#a620c49349fe0e4c7cf28b109aaa0bdbc" title="arts_simulation::arts\l_poststep" alt="" coords="308,1819,448,1861"/>
<area shape="rect" id="node49" href="namespacearts__simulation.html#aec55d8335ff12f6f09c546913bdb7882" title="arts_simulation::arts\l_prestep1" alt="" coords="308,1885,448,1926"/>
<area shape="rect" id="node50" href="namespacearts__simulation.html#a80dda89ed8abf4b853ea8926e1a5c18d" title="arts_simulation::arts\l_prestep2" alt="" coords="308,1950,448,1991"/>
<area shape="rect" id="node40" href="namespacevdf__ib__func.html#a37a9c2caa5d7e9fe9571d76cf44a8528" title="vdf_ib_func::ib_apply\l_sc_reconstruction" alt="" coords="529,1539,675,1581"/>
<area shape="rect" id="node41" href="namespacevdf__ib__func.html#aa3258d256da9f683c9082b398fb5b65b" title="vdf_ib_func::ib_apply\l_vel_reconstruction" alt="" coords="529,1605,675,1646"/>
<area shape="rect" id="node42" href="namespacevdf__func.html#a571334e942b3daf2638fd74e28c33693" title="vdf_func::vdf_copy_u_bc" alt="" coords="518,1671,686,1697"/>
<area shape="rect" id="node43" href="namespacevdf__func.html#ae7848e8efcec4b2e79ccaac089752856" title="vdf_func::vdf_mid_bc" alt="" coords="529,1721,675,1748"/>
<area shape="rect" id="node44" href="namespaceale__m.html#af2f99e119094b1576c9e25400f43da4d" title="ale_m::ale_scalar_step" alt="" coords="524,1772,680,1799"/>
<area shape="rect" id="node45" href="namespacethf__interface__soot.html#a4d0b880748416e2429a67c4248f87ba8" title="soot procedures before each flow timestep ! &#160;update srcSCfull, if required ! " alt="" coords="539,1823,665,1865"/>
<area shape="rect" id="node46" href="namespacearts__func.html#a09a6bfd35afe628a9a39bc2c9a096114" title="arts_func::arts_scalar\l_step_finite" alt="" coords="528,1889,676,1930"/>
</map>
</div>

</div>
</div>
<a id="ac80e8db8d781535b6016fedee8395f11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac80e8db8d781535b6016fedee8395f11">&#9670;&nbsp;</a></span>simulation_run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine nga_if::simulation_run </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacenga__if__func.html#ae6e76113b2b6453f9293807c3dd25acc">nga_if_func::if_advance_iter()</a>, <a class="el" href="namespacenga__if__func.html#a6ab9ed8a0704d178ff8a97de38089351">nga_if_func::if_done()</a>, <a class="el" href="namespacenga__if__func.html#aa3e7f730025844a4929e153025ea4b0e">nga_if_func::if_get_timestepsize()</a>, <a class="el" href="namespacenga__if__func.html#a4a0054b731a1aa1a321d67cb9372038e">nga_if_func::if_poststep()</a>, <a class="el" href="namespacenga__if__func.html#a6d2040a5c2f32b180f5fcf0a6eec4e30">nga_if_func::if_prestep1()</a>, and <a class="el" href="namespacenga__if__func.html#a61746e6b1bce7fb29b5ef74f79593f4f">nga_if_func::if_prestep2()</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="nga__if_2nga__if_8f90_ac80e8db8d781535b6016fedee8395f11_cgraph.png" border="0" usemap="#nga__if_2nga__if_8f90_ac80e8db8d781535b6016fedee8395f11_cgraph" alt=""/></div>
<map name="nga__if_2nga__if_8f90_ac80e8db8d781535b6016fedee8395f11_cgraph" id="nga__if_2nga__if_8f90_ac80e8db8d781535b6016fedee8395f11_cgraph">
<area shape="rect" id="node2" href="namespacenga__if__func.html#ae6e76113b2b6453f9293807c3dd25acc" title="nga_if_func::if_advance_iter" alt="" coords="160,262,345,289"/>
<area shape="rect" id="node4" href="namespacenga__if__func.html#a6ab9ed8a0704d178ff8a97de38089351" title="nga_if_func::if_done" alt="" coords="183,325,322,352"/>
<area shape="rect" id="node15" href="namespacenga__if__func.html#aa3e7f730025844a4929e153025ea4b0e" title="nga_if_func::if_get\l_timestepsize" alt="" coords="188,496,317,538"/>
<area shape="rect" id="node17" href="namespacenga__if__func.html#a4a0054b731a1aa1a321d67cb9372038e" title="nga_if_func::if_poststep" alt="" coords="393,380,555,406"/>
<area shape="rect" id="node29" href="namespacenga__if__func.html#a6d2040a5c2f32b180f5fcf0a6eec4e30" title="nga_if_func::if_prestep1" alt="" coords="172,994,333,1021"/>
<area shape="rect" id="node42" href="namespacenga__if__func.html#a61746e6b1bce7fb29b5ef74f79593f4f" title="nga_if_func::if_prestep2" alt="" coords="393,725,555,752"/>
<area shape="rect" id="node3" href="namespacevdf__func.html#ae7848e8efcec4b2e79ccaac089752856" title="vdf_func::vdf_mid_bc" alt="" coords="401,202,547,229"/>
<area shape="rect" id="node5" href="namespacevdf__func.html#a0e31a8a0b2b40594e3956dbb86c67cd4" title="vdf_func::done" alt="" coords="420,253,528,280"/>
<area shape="rect" id="node6" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1292,321,1388,348"/>
<area shape="rect" id="node7" href="namespacesd__io.html#a0ceb74de19f091003e8bc10dc1774286" title="sd_io::check_control_file" alt="" coords="613,202,779,229"/>
<area shape="rect" id="node8" href="namespacesd__io.html#a371e0a6b01aced3bd21cdbbb30bfbc79" title="sd_io::nga_data_write" alt="" coords="849,186,998,213"/>
<area shape="rect" id="node14" href="namespacesd__io.html#a56546696196ba2c3d1de491cbcb92996" title="sd_io::write_plot_files" alt="" coords="849,237,997,264"/>
<area shape="rect" id="node9" href="namespaceparser.html#a37469d8ebb80992941bd709e551b98ef" title="parser::check_param" alt="" coords="1079,470,1223,497"/>
<area shape="rect" id="node10" href="namespacesd__io.html#a23701612634922554d30324394b6821f" title="sd_io::write_sd" alt="" coords="1095,296,1206,322"/>
<area shape="rect" id="node11" href="namespacesd__lpt__tools.html#a7766032595c466a9d2aa27a514dfd92e" title="sd_lpt_tools::use_lpt\l_on_any_sd" alt="" coords="1079,114,1222,155"/>
<area shape="rect" id="node12" href="namespacesd__lpt__tools.html#ad4fa83466111ff2dc07487a4ba16e7fd" title="sd_lpt_tools::sd_lpt\l_write_particle_data" alt="" coords="1081,179,1220,220"/>
<area shape="rect" id="node13" href="rif_8f90.html#acd5a54f15f46e1b1850244c8b542b5b3" title="write_rif_restart_files" alt="" coords="1079,245,1222,272"/>
<area shape="rect" id="node16" href="namespacevdf__time__info.html#a07013c305343c6137dcf68b1592f2a42" title="vdf_time_info::vdf\l_predict_timestepsize" alt="" coords="399,514,549,555"/>
<area shape="rect" id="node18" href="namespacevdf__func.html#a0e6abbf7566e36361033609d8b4443b7" title="vdf_func::vdf_poststep1" alt="" coords="615,405,777,432"/>
<area shape="rect" id="node22" href="arts_2arts__hooks_8f90.html#a51df2e2f8a61f8692cb24fbf9a59719f" title="temporal_data_hook" alt="" coords="627,456,765,482"/>
<area shape="rect" id="node23" href="namespacevdf__func.html#ac7a8b74e2bee1b552c10a2aa24c2754e" title="vdf_func::vdf_poststep2" alt="" coords="615,506,777,533"/>
<area shape="rect" id="node24" href="arts_2arts__hooks_8f90.html#af6082e63ce97ffd3b40827841f6d8db6" title="temporal_hook" alt="" coords="643,253,749,280"/>
<area shape="rect" id="node25" href="namespacevdf__func.html#a065b981aba1cbba7385baa2528230dbb" title="vdf_func::vdf_poststep3" alt="" coords="615,354,777,381"/>
<area shape="rect" id="node28" href="arts_2arts__hooks_8f90.html#a86b05c79832a46d17b4362e7c24ee38a" title="temporal_last_hook" alt="" coords="629,304,763,330"/>
<area shape="rect" id="node19" href="namespacesd__func.html#a37afd04316781453c7c5743ad0f68f20" title="sd_func::sd_poststep" alt="" coords="850,456,997,482"/>
<area shape="rect" id="node20" href="tools_2sd2plot_2sd2plot_8f90.html#ae6f662261894a85f67c12ba16d05f7d1" title="interpolate_ui" alt="" coords="874,506,973,533"/>
<area shape="rect" id="node21" href="namespacesd__tools.html#a9468906b77628297cb4ad98540f936e7" title="sd_tools::check_buffer\l_change" alt="" coords="846,390,1001,431"/>
<area shape="rect" id="node26" href="inflow__generation_8f90.html#a171ec55a587732c7432fd0be0b035ffa" title="inflow_generation_save" alt="" coords="844,338,1003,365"/>
<area shape="rect" id="node27" href="inflow__generation__c_8f90.html#adcded3689ef28448864d2ba569b7bc6f" title="inflow_generation_save_c" alt="" coords="837,288,1009,314"/>
<area shape="rect" id="node30" href="nga__if_2if__hooks_8f90.html#a0439a40b165fdf89ff2bbc3e718b4cee" title="prestep_begin_hook" alt="" coords="405,1020,543,1046"/>
<area shape="rect" id="node31" href="nga__cf__cold__func_8f90.html#a20ec1031c642ee27b3a8c8bed1ff948b" title="recompute_metric" alt="" coords="411,1229,537,1256"/>
<area shape="rect" id="node39" href="namespacevdf__func.html#a0a909b651328fd89bb1c0fe57c69723e" title="vdf_func::vdf_prestep1" alt="" coords="397,969,551,996"/>
<area shape="rect" id="node32" href="namespacevdf__ib__func.html#a3b28012f0775437acaebc763dce844e7" title="vdf_ib_func::build\l_ib_zones" alt="" coords="634,1451,758,1492"/>
<area shape="rect" id="node33" href="namespacemetric__conv__func.html#aa99c3d704d204d4854b6dfe263461e8e" title="metric_conv_func::metric\l_conv_recompute" alt="" coords="611,1059,781,1100"/>
<area shape="rect" id="node34" href="namespacemetric__conv__func.html#a93d712e93dbcb5151a939b46cadfeb6f" title="metric_conv_func::metric\l_conv_restore" alt="" coords="611,1124,781,1166"/>
<area shape="rect" id="node35" href="namespacemetric__generic__func.html#a8b4a4b7b730340c5170620beace797d7" title="metric_generic_func\l::metric_generic_recompute" alt="" coords="605,1190,787,1231"/>
<area shape="rect" id="node36" href="namespacemetric__generic__func.html#a65f6499ac867a22b720f81a887d90565" title="metric_generic_func\l::metric_generic_restore" alt="" coords="615,1255,777,1296"/>
<area shape="rect" id="node37" href="namespacemetric__visc__func.html#a8716b688774654ffedb9592057acccda" title="metric_visc_func::metric\l_visc_recompute" alt="" coords="613,1320,779,1362"/>
<area shape="rect" id="node38" href="namespacemetric__visc__func.html#a371edf884bed9c9debf78901c38d2d49" title="metric_visc_func::metric\l_visc_restore" alt="" coords="613,1386,779,1427"/>
<area shape="rect" id="node40" href="namespacevdf__outflow.html#a883f71808132b16574099944cff0c8f3" title="vdf_outflow::outflow\l_viscous_damper" alt="" coords="627,928,765,970"/>
<area shape="rect" id="node41" href="namespacevdf__ib__model.html#a5648ed8ca72213c2bb6f52d75091a7dc" title="vdf_ib_model::ib_wall\l_rans_eddy_visc_update" alt="" coords="613,994,779,1035"/>
<area shape="rect" id="node43" href="namespacevdf__func.html#a7fb216c52221d6553aac92bcf18b2654" title="vdf_func::vdf_prestep2" alt="" coords="619,608,773,634"/>
<area shape="rect" id="node45" href="namespacevdf__func.html#a8cc9b202ad22d8660a29d41299cc76a9" title="vdf_func::vdf_set_bcs" alt="" coords="621,826,771,853"/>
<area shape="rect" id="node47" href="namespacevdf__wallfunc.html#aa753905da259940ab131f9e26c7e7eef" title="vdf_wallfunc::vdf_wallfunc\l_apply" alt="" coords="608,659,784,700"/>
<area shape="rect" id="node48" href="namespacebodyforce__m.html#af3c2f68a8e566c200c4d4db82f1bed43" title="bodyforce_m::bodyforce_src" alt="" coords="603,725,789,752"/>
<area shape="rect" id="node49" href="arts_2arts__hooks_8f90.html#a2b4b7805dd08085504e59eb8b8cba36d" title="momentum_source_hook" alt="" coords="612,776,780,802"/>
<area shape="rect" id="node50" href="arts_2arts__hooks_8f90.html#a85a1e7805791345e8db001707cd7b5f3" title="scalar_source_hook" alt="" coords="627,877,765,904"/>
<area shape="rect" id="node44" href="namespacevdf__func.html#a80d81652b0efba19419c42a9a5253d16" title="vdf_func::vdf_reset_bcs" alt="" coords="842,608,1005,634"/>
<area shape="rect" id="node46" href="namespacevdf__func.html#ad9d46af841bd9e12bf8d92d3e436089e" title="vdf_func::vdf_set_bcs_work" alt="" coords="1057,668,1244,694"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
